# AIS2D_InteractiveObject.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_AIS2D_InteractiveObject.hxx>`
`#include <Handle_AIS2D_InteractiveContext.hxx>`
`#include <Handle_Prs2d_Drawer.hxx>`
`#include <Standard_Integer.hxx>`
`#include <AIS2D_TypeOfDetection.hxx>`
`#include <AIS2D_DataMapOfPrimAspects.hxx>`
`#include <Handle_AIS2D_HSequenceOfPrimArchit.hxx>`
`#include <Graphic2d_GraphicObject.hxx>`
`#include <Handle_Prs2d_AspectRoot.hxx>`
`#include <Handle_Graphic2d_Primitive.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Prs2d_AspectName.hxx>`
`#include <Aspect_FStream.hxx>`
`#include <Aspect_IFStream.hxx>`
`#include <AIS2D_InteractiveObject.lxx>`